#ifndef RODENT_POPULATION_H
#define RODENT_POPULATION_H
gboolean
xfdir_monitor_control_greenlight(widgets_t *widgets_p);

gboolean rodent_is_gnu_backup_type(const gchar *file);
gboolean rodent_is_mime_backup_type(const gchar *file);
gboolean rodent_is_backup_type(const gchar *file);

gchar *rodent_get_tabname(const gchar *path);

void *
janitor(void *data);

void
rodent_destroy_population (population_t **population_pp);

void
rodent_load_keybindings(void);

void 
rodent_icontheme_test(void);

void rodent_set_view_title (view_t * view_p);
void rodent_set_view_icon (view_t * view_p);
void *rodent_set_toggle_buttons(void *data);

void
  rodent_update_cut_icons (view_t * view_p);
void
  rodent_clear_cut_icons (view_t * view_p);

void
  rodent_remove_view (view_t * view_p);

gint
  rodent_full_reload_view (view_t *view_p, record_entry_t * target_en);


gint rodent_trigger_reload(view_t *view_p);
  

gint
  rodent_refresh (widgets_t * widgets_p, record_entry_t * in_en);

 
view_t *
rodent_new_view(void);

#endif
